#ifndef __main_H 
#define __main_H

//******************************************************************
//******************************************************************


//****function declaration****//
void GPIO_Init(void);

void TP0_Init(unsigned char mode);	//TP0 init 
#define	TP0_Mode_8bit_Time			0x00	//;8bit Timer mode 
#define	TP0_Mode_12bit_Time			0x01	//;12bit Timer mode 
#define	TP0_Mode_Comlementary_2PWM	0x02	//;2pwm Complementary mode
#define	TP0_Mode_3PWM				0x03	//;3pwm independent mode

void DelayUs(unsigned char delayUs);     

void CLR_BANK0_RAM(void);
void CLR_BANK1_RAM(void);

//******************************************************************

#endif